/*
 * EventWrapper.h
 *
 *  Created on: 2013-2-5
 *      Author: wlf
 */

#ifndef EVENTWRAPPER_H_
#define EVENTWRAPPER_H_

#include "HPR_Mutex.h"
#include "HPR_Cond.h"

class CEventWrapperEx
{
public:
	CEventWrapperEx();
	~CEventWrapperEx();

	void Wait();
	void Signal();
	int WaitTimeout(int millSecord);
private:
	// 等待事件
	HPR_COND_T m_Event;
	// 等待锁
	HPR_MUTEX_T m_Mutex;
	// 时间类型 0 无信号,1有信号
	int m_iTriggered;
};

#endif /* EVENTWRAPPER_H_ */
