/*******************************************************************************
Copyright 2007-2008 Hikvision Digital Technology Co., Ltd.
FileName:		CTcpInterleavedPairs.h
Description:	RTSPЭУRTPTCPͨ
Author:			Guo Tianwen
Date:			2009-04-30
Modification History:
<1.0> <2009-04-30> <guotianwen> <TCPͨ>
*******************************************************************************/

#ifndef __TCP_INTERLEAVED_PAIRS_H__
#define __TCP_INTERLEAVED_PAIRS_H__
#pragma once

class CTcpInterleavedPairs
{
public:
	CTcpInterleavedPairs();
	~CTcpInterleavedPairs();

public:
	unsigned int GetRTPChannel();		// ȡRTP Channel
	unsigned int GetRTCPChannel();		// ȡRTCP Channel

	void SetRTPChannel(unsigned int);	// RTP Channel
	void SetRTCPChannel(unsigned int);	// RTCP Channel

protected:

private:
	unsigned int m_iRTP_Channel;		// RTPͨTCPRTP
	unsigned int m_iRTCP_Channel;		// RTCPͨTCPRTCP
};

#endif
