/*
 * MsgManage.h
 *
 *  Created on: 2013-2-2
 *      Author: Admin
 */

#ifndef MSGMANAGE_H_
#define MSGMANAGE_H_
#include "HPR_Mutex.h"
#include "HPR_Thread.h"
#include "RtspClientSDK.h"
#include <queue>
using namespace std;

//20130202-wlf做消息队列，已解决上层堵住消息回调，使得引擎无法退出


class CMsgManage
{
public:
	CMsgManage();
	~CMsgManage(void);
	void InsertMsg(int handle, int opt, void* param1, void* param2, void* pUser);
	bool Run(pRtspMsgCallback pMsgCallback);
	void Stop();
private:
	typedef struct _ST_MSGPARAM
	{
		int handle;
		int opt;
		void* param1;
		void* param2;
		void* pUser;
	} ST_MSGPARAM;

	typedef queue<ST_MSGPARAM> QUEUE_ST_MSG_PARAMS;
	QUEUE_ST_MSG_PARAMS m_Msg_Que;
	bool m_bQuit;
	HPR_MUTEX_T* m_pMutex;
	ST_MSGPARAM m_stMsgParam;
	HPR_HANDLE m_hMsgHandle;
	pRtspMsgCallback m_MsgCallback;
private:
	static void* HandleMsg(void* pParam);
};

#endif /* MSGMANAGE_H_ */
