#include "HPR_Addr.h"
#include "HPR_Utils.h"

#include "RtpUtil.h"

/*  32-bit random number     */
unsigned int generate32 ()
{
    // should be seeded by main program
    return HPR_Rand();
}

/*  random SRC number        */
unsigned int generateSRC()
{
    // doesn't check for collision
    unsigned int src = 0;
    while (src == 0)
        src = generate32();
    return src;
}

void ConvertToNetwork(void* data, int pos, int n)
{
	for (int i = pos; i < pos + n; ++i)
	{
		((unsigned int*)data)[i] = htonl(((unsigned int*)data)[i]);
	}
}

/*******************************************************************************
Function:    	ConvertFromNetwork()
Description:	ֽתΪֽintΪλ
Input:			data		-	Դ
				pos			-	ƫ
				n			-	Ҫתĸ
Output:      	
Return:			Ƿȡɹ
*******************************************************************************/
void ConvertFromNetwork(void* data, int pos, int n)
{
	for (int i = pos; i < pos + n; ++i)
	{
		((unsigned int*)data)[i] = ntohl(((unsigned int*)data)[i]);
	}
}
