/*******************************************************************************
Copyright 2007-2008 Hikvision Digital Technology Co., Ltd.
FileName:		UdpPortPairs.cpp
Description:	UdpPortPairs.hʵ֣ȡ˿
Author:			Guo Tianwen
Date:			2009-04-29
Modification History:
<1.0> <2009-04-29> <guotianwen> <UdpPortPairs.hʵ>
*******************************************************************************/

#include "TCPInterleavedPairs.h"

// 캯
CTcpInterleavedPairs::CTcpInterleavedPairs()
: m_iRTP_Channel(0)
, m_iRTCP_Channel(0)
{
}

// 
CTcpInterleavedPairs::~CTcpInterleavedPairs()
{
}

/*******************************************************************************
Function:    	GetRTPChannel()
Description:	ȡRTP ͨ
Input:
Output:      	
Return:			RTPͨ
*******************************************************************************/
unsigned int CTcpInterleavedPairs::GetRTPChannel()
{
	return m_iRTP_Channel;
}

/*******************************************************************************
Function:    	GetRTCPChannel()
Description:	ȡRTCP ͨ
Input:
Output:      	
Return:			RTCP ͨ
*******************************************************************************/
unsigned int CTcpInterleavedPairs::GetRTCPChannel()
{
	return m_iRTCP_Channel;
}

/*******************************************************************************
Function:    	SetRTPChannel()
Description:	RTP ͨ
Input:			iRTPChannel	- RTP ͨ
Output:      	
Return:			
*******************************************************************************/
void CTcpInterleavedPairs::SetRTPChannel(unsigned int iRTPChannel)
{
	m_iRTP_Channel = iRTPChannel;
}

/*******************************************************************************
Function:    	SetRTCPChannel()
Description:	RTCP ͨ
Input:			iRTCPChannel	- RTCP ͨ
Output:      	
Return:			
*******************************************************************************/
void CTcpInterleavedPairs::SetRTCPChannel(unsigned int iRTCPChannel)
{
	m_iRTCP_Channel = iRTCPChannel;
}
