/*
 * CopyRight:	HangZhou Hikvision System Technology Co., Ltd. All	Right Reserved.
 * FileName:	hpr2_thread.h
 * Desc:		hpr2 thread.
 * Author:		zhaoyiji
 * Date:		2012-11-12
 * Contact:		zhaoyiji@hikvision.com.cn
 * History:		Created By Zhaoyiji 2012-11-12 (V0.1)
 * */

#ifndef __HPR2_THREAD_H__
#define __HPR2_THREAD_H__

#include "hpr2_types.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

//#define HPR2_THREAD_ERR (-1)
//#define HPR2_THREAD_OK (0)

typedef struct hpr2_thread_t hpr2_thread_t;

int hpr2_thread_create(hpr2_thread_t** handle, void*fn, void* arg, int stack_size, int priority);

int hpr2_thread_wait(hpr2_thread_t* handle);

int hpr2_thread_detached_create(void*fn, void* arg, int stack_size, int priority);

hpr2_uint64 hpr2_thread_get_selfid();

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
