/** @file RtspClientPrint.h
 *  @note HangZhou Hikvision System Technology Co., Ltd. All Right Reserved.
 *  @brief RTSP通信库打印头文件
 *
 *  @author     Weilinfeng
 *  @date       2010-09-20
 *
 *  @note Created By Weilinfeng 2010-09-20
 *
 *  @warning
 */

#ifndef RTSPCLIENTPRINT_H_
#define RTSPCLIENTPRINT_H_

#ifndef HK_APPLE

#include "KLog.h"
#define DEBUG

#endif

#define LIB_TAG	"MCRSDK"

class CMCRPrint
{
public:
    static void Print(const char* format);
    static void Print(const char* format, int para);
    static void Print(const char* format, int para1, int para2);
    static void Print( const char* format, int para1, int para2 , int para3);
    static void Print(const char* format, char* para1, int para2);
    static void Print(const char* format, int para1, char* para2);
    static void Print(const char* format, int para1, int para2, char* para3);
    static void Print(const char* format, int para1, char* para2, char* para3);
    static void Print(const char* format, int para1, int para2, char* para3, char* para4);
    static void Print(const char* format, char* para);
    static void Print(const char* format, char* para1, char* para2);
    static void Print(const char* format, char* para1, char* para2, char* para3);
};

#endif /* RTSPCLIENTPRINT_H_ */
